/*{{{ COMMENT Standard Header*/
/******************************************************************
COPYRIGHT (C) INMOS LIMITED - 1990, 1991

    Source file name : slave1.c
              Author : S.R.Christian, D. Johnston
   Date first issued : 12-Apr-91



Date        Modification                                    Initials
----        ------------                                    --------
02-Oct-91   Adapted from original                           SRC
******************************************************************/
/*}}}*/
#include <stdiored.h>
#include <stdlib.h>
#include <process.h>
#include <misc.h>
#include <time.h>
#include <channel.h>
#include "vme.h"
#include "basic.h"
#include "event.h"


int main()
{

    Channel *from_master;
    Channel *to_master;

    basic_board_init();

    from_master = (Channel *)get_param(1);
    to_master   = (Channel *)get_param(2);

    prog_slave_access((void*)0x00100000,0x00400000,32,0);

    ChanOutInt(to_master,1);
    ChanInInt(from_master);
    for(;;) {}
}

