/*{{{ COMMENT Standard Header*/
/******************************************************************
COPYRIGHT (C) INMOS LIMITED - 1990, 1991

    Source file name : slave2.c
              Author : S.R.Christian, D. Johnston
   Date first issued : 12-Apr-91



Date        Modification                                    Initials
----        ------------                                    --------
02-Oct-91   Adapted from original                           SRC
******************************************************************/
/*}}}*/
#include <stdiored.h>
#include <stdlib.h>
#include <process.h>
#include <misc.h>
#include <time.h>
#include <channel.h>
#include "vme.h"
#include "basic.h"
#include "event.h"


void my_int_handler_1(void)
{
  ;
}
int main()
{

    Channel *from_master;
    Channel *to_master;
    int i;

    basic_board_init();

    from_master = (Channel *)get_param(1);
    to_master   = (Channel *)get_param(2);

    prog_vme_interrupt_vector(1,VECTOR_INT_1);  /* setup interrupt vectors */
    prog_vme_interrupt_vector(2,VECTOR_INT_2);
    prog_vme_interrupt_vector(3,VECTOR_INT_3);
    prog_vme_interrupt_vector(4,VECTOR_INT_4);
    prog_vme_interrupt_vector(5,VECTOR_INT_5);
    prog_vme_interrupt_vector(6,VECTOR_INT_6);
    prog_vme_interrupt_vector(7,VECTOR_INT_7);

    install_vme_int_handler(1,VECTOR_INT_1,my_int_handler_1);

    ChanOutInt(to_master,1);
    i = ChanInInt(from_master);

    ProcWait(100000);

    send_vme_interrupt(1);
    ProcWait(100000);
    send_vme_interrupt(2);
    ProcWait(100000);
    send_vme_interrupt(3);
    ProcWait(100000);
    send_vme_interrupt(4);
    ProcWait(100000);
    send_vme_interrupt(5);
    ProcWait(100000);
    send_vme_interrupt(6);
    ProcWait(100000);
    send_vme_interrupt(7);
    ProcWait(100000);

    ChanOutInt(to_master,1);

  }

