LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
CONFIG=icconf
OCONFIG=occonf
COLLECT=icollect
CC=icc
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
OCONFOPT=
COLLECTOPT=
COPT=


##### IMAKEF CUT #####

vmetest.btl: vmetest.cfb 
	$(COLLECT) vmetest.cfb -o vmetest.btl $(COLLECTOPT)

vmetest.cfb: vmetest.cfs master.c9h slave.c9h 
	$(CONFIG) vmetest.cfs -o vmetest.cfb $(CONFOPT)

master.c9h: master.lnk master.t9h ../libs/vme.t9h ../libs/event.t9h \
            ../libs/basic.t9h /inmos/prod/icvconf4a_b/clibs/startup.lnk \
            /inmos/prod/icvconf4a_b/clibs/centry.lib \
            /inmos/prod/icvconf4a_b/clibs/libc.lib 
	$(LINK) -f master.lnk -t9 -h -o master.c9h $(LINKOPT)

master.t9h: master.c /inmos/prod/icvconf4a_b/clibs/stdio.h \
            /inmos/prod/icvconf4a_b/clibs/subsem.h \
            /inmos/prod/icvconf4a_b/clibs/subchan.h \
            /inmos/prod/icvconf4a_b/clibs/stdlib.h \
            /inmos/prod/icvconf4a_b/clibs/misc.h \
            /inmos/prod/icvconf4a_b/clibs/channel.h ../include/vme.h \
            ../include/basic.h 
	$(CC) master.c -t9 -o master.t9h $(COPT)

../libs/vme.t9h: ../libs/vme.c ../include/basic.h ../include/vme.h 
	$(CC) ../libs/vme.c -t9 -o ../libs/vme.t9h $(COPT)

../libs/event.t9h: ../libs/event.c /inmos/prod/icvconf4a_b/clibs/stdlib.h \
                   /inmos/prod/icvconf4a_b/clibs/process.h \
                   /inmos/prod/icvconf4a_b/clibs/channel.h \
                   /inmos/prod/icvconf4a_b/clibs/subchan.h \
                   /inmos/prod/icvconf4a_b/clibs/misc.h \
                   /inmos/prod/icvconf4a_b/clibs/subsem.h ../include/basic.h \
                   ../include/event.h 
	$(CC) ../libs/event.c -t9 -o ../libs/event.t9h $(COPT)

../libs/basic.t9h: ../libs/basic.c ../include/basic.h 
	$(CC) ../libs/basic.c -t9 -o ../libs/basic.t9h $(COPT)

slave.c9h: slave.lnk slave.t9h ../libs/vme.t9h ../libs/event.t9h \
           ../libs/basic.t9h /inmos/prod/icvconf4a_b/clibs/startrd.lnk \
           /inmos/prod/icvconf4a_b/clibs/centry.lib \
           /inmos/prod/icvconf4a_b/clibs/libcred.lib 
	$(LINK) -f slave.lnk -t9 -h -o slave.c9h $(LINKOPT)

slave.t9h: slave.c /inmos/prod/icvconf4a_b/clibs/stdiored.h \
           /inmos/prod/icvconf4a_b/clibs/subsem.h \
           /inmos/prod/icvconf4a_b/clibs/subchan.h \
           /inmos/prod/icvconf4a_b/clibs/stdlib.h \
           /inmos/prod/icvconf4a_b/clibs/process.h \
           /inmos/prod/icvconf4a_b/clibs/channel.h \
           /inmos/prod/icvconf4a_b/clibs/misc.h \
           /inmos/prod/icvconf4a_b/clibs/time.h ../include/vme.h \
           ../include/basic.h ../include/event.h 
	$(CC) slave.c -t9 -o slave.t9h $(COPT)

