echo off

REM DOS Driver batch file to install the IMS F008A Release onto a PC

REM Copyright (C) INMOS Ltd, 1991

echo ********************************************
echo *     INMOS IMS F008A INSTALLATION         *
echo *     Copyright (C) INMOS Ltd 1991         *
echo ********************************************

REM %1 = source, %2 = destination

IF "%1" == "" GOTO ERROR1
IF "%2" == "" GOTO ERROR2
IF NOT EXIST %1:\yesorno.exe GOTO ERROR3

ECHO Installing IMS F008A  from drive %1 to drive %2
%1:
cd \
yesorno Do you want to proceed with the installation ?
IF ERRORLEVEL 1 GOTO END

mkdir %2:\f008
copy %1:\install1.bat %2:\f008
copy %1:\yesorno.exe  %2:\f008
%2:
cd \f008
install1 %1

:ERROR3
ECHO You have given an invalid drive letter for the installation disks.

:ERROR1
:ERROR2
ECHO You must specify the drive letters for the installation.
ECHO First drive letter must be the drive in which the installation disk is 
ECHO inserted and the second must be the drive on which to install the IMS F008A
ECHO software.

:END
ECHO ON
