/*
 * facs.c
 * 
 * generate a stream of factorials
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <process.h>
#include <channel.h>
#include <misc.h>

        /* 
         * compute factorial  
         *
         */

static int factorial(int n) {
  int result;

  if (n > 0)
    result = n * factorial(n-1);
  else
    result = 1;
    
  return(result);
}

int main() {
  Channel *infacs, *outfacs;

  infacs = get_param(1);
  outfacs = get_param(2);
  while (1) {
    int x;
    int fac;

    x = ChanInInt(infacs);
    if (x == 0)
      fac = 0;
    else
      fac = factorial(x);
    ChanOutInt(outfacs, fac);
  }
}

