/*----------------------------------------------------------------------------
--
-- File    : ioptype.h
-- System  : linkops 1.5 (advanced toolset)
--  prototypes of linkio functions used by linkops1.5
--
-- Copyright 1992 INMOS Limited
--
--  version : 1.1
--  date    : 5/29/92
--
-- 29/05/92 - dave edwards; from old linkio.h
--
----------------------------------------------------------------------------*/

/****
 **** linkio function prototypes
****/

#ifdef LNKb004
int B004OpenLink(char *Name);
int B004CloseLink(int LinkId);
int B004ReadLink(int LinkId, char *Buffer, int Count, int Timeout);
int B004WriteLink(int LinkId, char *Buffer, int Count, int Timeout);
int B004ResetLink(int LinkId);
int B004AnalyseLink(int LinkId);
int B004TestError(int LinkId);
#endif

#ifdef LNKb008
int B008OpenLink(char *Name);
int B008CloseLink(int LinkId);
int B008ReadLink(int LinkId, char *Buffer, int Count, int Timeout);
int B008WriteLink(int LinkId, char *Buffer, int Count, int Timeout);
int B008ResetLink(int LinkId);
int B008AnalyseLink(int LinkId);
int B008TestError(int LinkId);
#endif /* B008 */

#ifdef LNKb011
int B011OpenLink(char *Name);
int B011CloseLink(int LinkId);
int B011ReadLink(int LinkId, char *Buffer, int Count, int Timeout);
int B011WriteLink(int LinkId, char *Buffer, int Count, int Timeout);
int B011ResetLink(int LinkId);
int B011AnalyseLink(int LinkId);
int B011TestError(int LinkId);
#endif

#ifdef LNKb014
int B014OpenLink(char *Name);
int B014CloseLink(int LinkId);
int B014ReadLink(int LinkId, char *Buffer, int Count, int Timeout);
int B014WriteLink(int LinkId, char *Buffer, int Count, int Timeout);
int B014ResetLink(int LinkId);
int B014AnalyseLink(int LinkId);
int B014TestError(int LinkId);
#endif

#ifdef LNKb016
int B016OpenLink(char *Name);
int B016CloseLink(int LinkId);
int B016ReadLink(int LinkId, char *Buffer, int Count, int Timeout);
int B016WriteLink(int LinkId, char *Buffer, int Count, int Timeout);
int B016ResetLink(int LinkId);
int B016AnalyseLink(int LinkId);
int B016TestError(int LinkId);
#endif

