/*{{{ COMMENT Standard Header*/
/******************************************************************
COPYRIGHT (C) INMOS LIMITED - 1990, 1991

    Source file name : slave3.c
              Author : S.R.Christian, D. Borehem
   Date first issued : 27-Oct-91



Date        Modification                                    Initials
----        ------------                                    --------
27-Oct-91   Adapted from original                           SRC
******************************************************************/
/*}}}*/

#include <misc.h>
#include <time.h>
#include <channel.h>
#include "vme.h"
#include "basic.h"
#include "event.h"



int main()
{

    Channel *from_master;
    Channel *to_master;

    basic_board_init();

    from_master = (Channel *)get_param(1);
    to_master   = (Channel *)get_param(2);

    /* make all of DRAM accessible in 24 bit address mode */
    prog_slave_access((void*)0x00100000,0x00400000,24,0);

    /* exchange messages with master board */
    ChanOutInt(to_master,1);
    ChanInInt(from_master);  

    /* go passive */
    for (;;) 
      ;
}

