LIBRARIAN=ilibr
OCCAM=oc
LINK=ilink
CONFIG=icvconf
OCONFIG=occonf
COLLECT=icollect
CC=icc
DELETE=rm
LIBOPT=
OCCOPT=
LINKOPT=
CONFOPT=
OCONFOPT=
COLLECTOPT=
COPT= -D UNHOSTED


##### IMAKEF CUT #####

vrtxmon.btl: vrtxmon.cfb 
	$(COLLECT) vrtxmon.cfb -o vrtxmon.btl $(COLLECTOPT)

vrtxmon.cfb: vrtxmon.cfs vrtxmon.c9h 
	$(CONFIG) vrtxmon.cfs -o vrtxmon.cfb $(CONFOPT)

vrtxmon.c9h: vrtxmon.lnk ../libs/duart.t9h ../libs/event.t9h ../libs/basic.t9h \
             ../libs/rtc.t9h ../libs/vme.t9h ../libs/rom.t9h ../cli/clilib.t9h \
             /inmos/prod/iq/VRTX/rtscope/rtscopet805.lib \
             /inmos/prod/iq/VRTX/vrtx32/vrtx32t805.lib vrtxmon.t9h \
             /inmos/prod/icvconf4a_b/clibs/startrd.lnk \
             /inmos/prod/icvconf4a_b/clibs/centry.lib \
             /inmos/prod/icvconf4a_b/clibs/libcred.lib 
	$(LINK) -f vrtxmon.lnk -t9 -h -o vrtxmon.c9h $(LINKOPT)

../libs/duart.t9h: ../libs/duart.c /inmos/prod/icvconf4a_b/clibs/stdlib.h \
                   /inmos/prod/icvconf4a_b/clibs/process.h \
                   /inmos/prod/icvconf4a_b/clibs/channel.h \
                   /inmos/prod/icvconf4a_b/clibs/subchan.h \
                   /inmos/prod/icvconf4a_b/clibs/misc.h \
                   /inmos/prod/icvconf4a_b/clibs/subsem.h ../include/basic.h \
                   ../include/duart.h ../include/event.h 
	$(CC) ../libs/duart.c -t9 -o ../libs/duart.t9h $(COPT)

../libs/event.t9h: ../libs/event.c /inmos/prod/icvconf4a_b/clibs/stdlib.h \
                   /inmos/prod/icvconf4a_b/clibs/process.h \
                   /inmos/prod/icvconf4a_b/clibs/channel.h \
                   /inmos/prod/icvconf4a_b/clibs/subchan.h \
                   /inmos/prod/icvconf4a_b/clibs/misc.h \
                   /inmos/prod/icvconf4a_b/clibs/subsem.h ../include/basic.h \
                   ../include/event.h 
	$(CC) ../libs/event.c -t9 -o ../libs/event.t9h $(COPT)

../libs/basic.t9h: ../libs/basic.c ../include/basic.h 
	$(CC) ../libs/basic.c -t9 -o ../libs/basic.t9h $(COPT)

../libs/rtc.t9h: ../libs/rtc.c /inmos/prod/icvconf4a_b/clibs/time.h \
                 ../include/rtc.h ../include/basic.h 
	$(CC) ../libs/rtc.c -t9 -o ../libs/rtc.t9h $(COPT)

../libs/vme.t9h: ../libs/vme.c ../include/basic.h ../include/vme.h 
	$(CC) ../libs/vme.c -t9 -o ../libs/vme.t9h $(COPT)

../libs/rom.t9h: ../libs/rom.c ../include/basic.h ../include/rom.h \
                 /inmos/prod/icvconf4a_b/clibs/channel.h \
                 /inmos/prod/icvconf4a_b/clibs/subchan.h \
                 /inmos/prod/icvconf4a_b/clibs/process.h 
	$(CC) ../libs/rom.c -t9 -o ../libs/rom.t9h $(COPT)

../cli/clilib.t9h: ../cli/clilib.c /inmos/prod/icvconf4a_b/clibs/stdiored.h \
                   /inmos/prod/icvconf4a_b/clibs/subsem.h \
                   /inmos/prod/icvconf4a_b/clibs/subchan.h \
                   /inmos/prod/icvconf4a_b/clibs/stdio.h \
                   /inmos/prod/icvconf4a_b/clibs/stdlib.h \
                   /inmos/prod/icvconf4a_b/clibs/string.h \
                   /inmos/prod/icvconf4a_b/clibs/stdarg.h \
                   /inmos/prod/icvconf4a_b/clibs/ctype.h ../include/clilib.h 
	$(CC) ../cli/clilib.c -t9 -o ../cli/clilib.t9h $(COPT)

vrtxmon.t9h: vrtxmon.c /inmos/prod/icvconf4a_b/clibs/stdio.h \
             /inmos/prod/icvconf4a_b/clibs/subsem.h \
             /inmos/prod/icvconf4a_b/clibs/subchan.h \
             /inmos/prod/icvconf4a_b/clibs/stdlib.h \
             /inmos/prod/icvconf4a_b/clibs/ctype.h \
             /inmos/prod/icvconf4a_b/clibs/string.h \
             /inmos/prod/icvconf4a_b/clibs/iocntrl.h \
             /inmos/prod/icvconf4a_b/clibs/process.h \
             /inmos/prod/icvconf4a_b/clibs/channel.h \
             /inmos/prod/icvconf4a_b/clibs/misc.h \
             /inmos/prod/icvconf4a_b/clibs/time.h ../include/vme.h \
             ../include/duart.h ../include/event.h ../include/basic.h \
             ../include/rtc.h ../include/rom.h ../include/clilib.h \
             /inmos/prod/iq/VRTX/inc/vrtxvisi.h 
	$(CC) vrtxmon.c -t9 -o vrtxmon.t9h $(COPT)

