/*
 * control.c
 *
 * user interface and control 
 *
 */


#include <stdio.h>
#include <stdlib.h>
#include <process.h>
#include <channel.h>
#include <misc.h>

#include "facs.h"

void control(Process *p, Channel *in, Channel *out, Channel *end[2])
{
    int value;
    int i, n = 1;
    static int calls = 0;

    printf("Control is alive\n");
    while (n > 0) {
        printf("Sum of the first n (n < 10) squares of factorials\n");
        do {
            printf("Please type n : ");
        } while (scanf("%d", &n) != 1);
        printf("n = %d\n", n);
        printf("Calculating factorials ... ");

        ChanOutInt(out, n);
        value = ChanInInt(in);
        printf("\nThe result was : %d\n", value);
        calls++;
    }
    for (i = 0; i < 2; i++)
        ChanOutInt(end[i], 0);
    printf("Control is about to die\n");
}

