/*  
 * feed.c
 *
 * generate a stream of ints, terminated by stop int 
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <process.h>
#include <channel.h>
#include <misc.h>

#include "facs.h"

void feed(Process *p, Channel *infeed, Channel *outfeed, Channel *end)
{
    int go = 1;

    printf("Feed is alive\n");
    while (go) {
        switch (ProcAlt(infeed, end, NULL)) {
            case 0:
                {
                    int n, i;

                    n = ChanInInt(infeed);
                    for (i = 1; i <= n; i++) {
                        ChanOutInt(outfeed, i);
                    }
                    ChanOutInt(outfeed, 0);
                }
                break;

            case 1:
                go = ChanInInt(end);
                break;
        }
    }
    printf("Feed about to die\n");
}
