/*
 * sum.c
 *
 * sum input  
 *
 */


#include <stdio.h>
#include <stdlib.h>
#include <process.h>
#include <channel.h>
#include <misc.h>

#include "facs.h"

void sum(Process *p, Channel *insum, Channel *outsum, Channel *end) {
  int go = 1;

  printf("Sum is alive\n");
  while (go) {
    switch (ProcAlt(insum, end, NULL)) {
    case 0: {
      int total, x;

      total = 0;
      x = ChanInInt(insum);
      while (x) {
        total = total + x;
        x = ChanInInt(insum);
      }
      ChanOutInt(outsum, total);
    }
    break;

    case 1:
      go = ChanInInt(end);
      break;
    }
  }
  printf("Sum about to die\n");
}

